<template>
  <div class="page-container">
    <md-app md-mode="reveal">
      <md-app-toolbar>
        <md-button class="md-icon-button" @click="menuVisible = !menuVisible">
          <md-icon>menu</md-icon>
        </md-button>
        <span class="md-title">{{ title }}</span>
      </md-app-toolbar>

      <md-app-drawer :md-active.sync="menuVisible">
        <md-toolbar class="md-transparent" md-elevation="0">Navigation</md-toolbar>

        <md-list>
          <md-list-item>
            <md-icon>move_to_inbox</md-icon>
            <span class="md-list-item-text">Inbox</span>
          </md-list-item>

          <md-list-item>
            <md-icon>send</md-icon>
            <span class="md-list-item-text">Sent Mail</span>
          </md-list-item>

          <md-list-item>
            <md-icon>delete</md-icon>
            <span class="md-list-item-text">Trash</span>
          </md-list-item>

          <md-list-item>
            <md-icon>error</md-icon>
            <span class="md-list-item-text">Spam</span>
          </md-list-item>

          <md-list-item></md-list-item>
        </md-list>
      </md-app-drawer>

      <md-app-content>
        <router-view :key="$route.fullPath" id="content"/>
      </md-app-content>
    </md-app>
  </div>
</template>

<script>
  import icon from '@/components/site/icon'

  export default {
    name: 'app',
    components: {icon},
    computed: {
      title () {
        return this.$store.state.title
      },
      count () {
        return this.$store.state.count
      }
    },
    data: () => ({
      menuVisible: false
    }),
    mounted () {
      console.log(this, this.$route)
    }
  }
</script>

<style lang="scss">
  @import "./style/style";

  .page-container {
    .md-app {
      main {

      }
    }
  }
</style>
